%define libxinerama %mklibname xinerama 1
Name: libxinerama
Summary: The Xinerama Library
Version: 1.1.2
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXinerama-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1

%description
The Xinerama Library

#-----------------------------------------------------------

%package -n %{libxinerama}
Summary: The Xinerama Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxinerama}
The Xinerama Library

#-----------------------------------------------------------

%package -n %{libxinerama}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxinerama} = %{version}
Requires: x11-proto-devel >= 7.5
Provides: libxinerama-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0
Conflicts: libxinerama-devel < 1.1
Conflicts: libxinerama1 < 1.1.1-3
Conflicts: lib64xinerama1 < 1.1.1-3

%description -n %{libxinerama}-devel
Development files for %{name}

%files -n %{libxinerama}-devel
%{_libdir}/libXinerama.so
%{_libdir}/pkgconfig/xinerama.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/*

#-----------------------------------------------------------

%package -n %{libxinerama}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxinerama}-devel = %{version}
Provides: libxinerama-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxinerama}-static-devel
Static development files for %{name}

%files -n %{libxinerama}-static-devel
%{_libdir}/libXinerama.a

#-----------------------------------------------------------

%prep
%setup -q -n libXinerama-%{version}

%build
%configure2_5x  --enable-static
%make

%install
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la

%files -n %{libxinerama}
%defattr(-,root,root)
%{_libdir}/libXinerama.so.1
%{_libdir}/libXinerama.so.1.0.0


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 358590
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.2-1.mga2
+ Revision: 222242
- new release

* Mon Nov 21 2011 fwang <fwang> 1.1.1-3.mga2
+ Revision: 170346
- drop .la files

* Wed Jan 12 2011 ahmad <ahmad> 1.1.1-2.mga1
+ Revision: 7704
- clean spec and drop old/unneeded scriptlets
- imported package libxinerama

